tigase.jaxmpp.core.client.xmpp.modules.filetransfer

## Class FileTransferModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.filetransfer.FileTransferModule

- All Implemented Interfaces:
    XmppModule

      public class FileTransferModule
      extends Object
      implements XmppModule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FileTransferModule.FileTransferRequestHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_SI`
    `static String` | `XMLNS_SI_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferModule(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptStreamInitiation(FileTransfer ft, String id, String streamMethod)`
    `void` | `addFileTransferRequestHandler(FileTransferModule.FileTransferRequestHandler handler)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Element element)` Main method of module.
    `void` | `process(IQ iq)`
    `void` | `rejectStreamInitiation(FileTransfer ft, String id)`
    `void` | `removeFileTransferRequestHandler(FileTransferModule.FileTransferRequestHandler handler)`
    `void` | `sendNoValidStreams(FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent be)`
    `void` | `sendStreamInitiationOffer(FileTransfer ft, String[] streamMethods, AsyncCallback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS_SI

          public static final String XMLNS_SI

      See Also:
        Constant Field Values

    - #### XMLNS_SI_FILE

          public static final String XMLNS_SI_FILE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileTransferModule

          public FileTransferModule(Context context)

  - ### Method Detail

    - #### acceptStreamInitiation

          public void acceptStreamInitiation(FileTransfer ft,
                                             String id,
                                             String streamMethod)
                                      throws JaxmppException

      Throws:
        `JaxmppException`

    - #### addFileTransferRequestHandler

          public void addFileTransferRequestHandler(FileTransferModule.FileTransferRequestHandler handler)

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException,
                              JaxmppException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### process

          public void process(IQ iq)
                       throws XMLException,
                              JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### rejectStreamInitiation

          public void rejectStreamInitiation(FileTransfer ft,
                                             String id)
                                      throws JaxmppException

      Throws:
        `JaxmppException`

    - #### removeFileTransferRequestHandler

          public void removeFileTransferRequestHandler(FileTransferModule.FileTransferRequestHandler handler)

    - #### sendNoValidStreams

          public void sendNoValidStreams(FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent be)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### sendStreamInitiationOffer

          public void sendStreamInitiationOffer(FileTransfer ft,
                                                String[] streamMethods,
                                                AsyncCallback callback)
                                         throws XMLException,
                                                JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

Copyright © 2006–2017 Tigase. All rights reserved.